org.apache.lucene.search.vectorhighlight

## Class FieldFragList.WeightedFragInfo

- java.lang.Object
- - org.apache.lucene.search.vectorhighlight.FieldFragList.WeightedFragInfo

- Enclosing class:
    FieldFragList

      public static class FieldFragList.WeightedFragInfo
      extends Object

  List of term offsets + weight for a frag info

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `FieldFragList.WeightedFragInfo.SubInfo` Represents the list of term offsets for some text

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WeightedFragInfo(int startOffset, int endOffset, List<FieldFragList.WeightedFragInfo.SubInfo> subInfos, float totalBoost)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getEndOffset()`
    `int` | `getStartOffset()`
    `List<FieldFragList.WeightedFragInfo.SubInfo>` | `getSubInfos()`
    `float` | `getTotalBoost()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WeightedFragInfo

          public WeightedFragInfo(int startOffset,
                                  int endOffset,
                                  List<FieldFragList.WeightedFragInfo.SubInfo> subInfos,
                                  float totalBoost)

  - ### Method Detail

    - #### getSubInfos

          public List<FieldFragList.WeightedFragInfo.SubInfo> getSubInfos()

    - #### getTotalBoost

          public float getTotalBoost()

    - #### getStartOffset

          public int getStartOffset()

    - #### getEndOffset

          public int getEndOffset()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.